/*
 * Created on 14-jul-2005
 *
 * gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.gvsig.geoprocessing.gui.operationpanels;

import java.io.File;

import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
import javax.swing.JList;
import javax.swing.JComboBox;
import javax.swing.JTextField;
import javax.swing.JButton;

import com.iver.cit.gvsig.fmap.layers.FLayers;

public class GeoProcessingMergePanel extends JPanel {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private JLabel titleJLabel = null;
    private JLabel inputJLabel = null;
    private JScrollPane inputJScrollPane = null;
    private JList inputJList = null;
    private JLabel fieldsJLabel = null;
    private JComboBox fieldsJComboBox = null;
    private JLabel outputJLabel = null;
    private JTextField outputJTextField = null;
    private JButton outputJButton = null;
    private FLayers layers = null;
    private File outputFile = null;
    /**
     * This is the default constructor
     */
    /*public GeoProcessingMergePanel() {
        super();
        initialize();
    }*/

    /**
     * This constructor initializes the set of layers
     */
    public GeoProcessingMergePanel(FLayers layers) {
        super();
        this.layers = layers;
        initialize();
    }

    /**
     * This method initializes this
     * 
     * @return void
     */
    private void initialize() {
        outputJLabel = new JLabel();
        outputJLabel.setBounds(5, 101, 102, 22);
        outputJLabel.setText("Cobertura de salida:");
        fieldsJLabel = new JLabel();
        fieldsJLabel.setBounds(5, 70, 148, 22);
        fieldsJLabel.setText("Usar los campos de la capa:");
        inputJLabel = new JLabel();
        inputJLabel.setBounds(5, 37, 148, 22);
        inputJLabel.setText("Coberturas de entrada:");
        titleJLabel = new JLabel();
        titleJLabel.setBounds(5, 5, 148, 22);
        titleJLabel.setText("Merge. Introduccin de datos:");
        this.setLayout(null);
        this.setSize(387, 128);
        this.add(titleJLabel, null);
        this.add(inputJLabel, null);
        this.add(getInputJScrollPane(), null);
        this.add(fieldsJLabel, null);
        this.add(getFieldsJComboBox(), null);
        this.add(outputJLabel, null);
        this.add(getOutputJTextField(), null);
        this.add(getOutputJButton(), null);
    }

    /**
     * This method initializes inputJScrollPane	
     * 	
     * @return javax.swing.JScrollPane	
     */    
    private JScrollPane getInputJScrollPane() {
    	if (inputJScrollPane == null) {
    		inputJScrollPane = new JScrollPane();
    		inputJScrollPane.setBounds(158, 37, 223, 22);
    		inputJScrollPane.setViewportView(getInputJList());
    	}
    	return inputJScrollPane;
    }

    /**
     * This method initializes inputJList	
     * 	
     * @return javax.swing.JList	
     */    
    private JList getInputJList() {
    	if (inputJList == null) {
    		inputJList = new JList();
    	}
    	return inputJList;
    }

    /**
     * This method initializes fieldsJComboBox	
     * 	
     * @return javax.swing.JComboBox	
     */    
    private JComboBox getFieldsJComboBox() {
    	if (fieldsJComboBox == null) {
    		fieldsJComboBox = new JComboBox();
    		fieldsJComboBox.setBounds(158, 70, 223, 22);
    	}
    	return fieldsJComboBox;
    }

    /**
     * This method initializes outputJTextField	
     * 	
     * @return javax.swing.JTextField	
     */    
    private JTextField getOutputJTextField() {
    	if (outputJTextField == null) {
    		outputJTextField = new JTextField();
    		outputJTextField.setBounds(112, 101, 197, 22);
    	}
    	return outputJTextField;
    }

    /**
     * This method initializes outputJButton	
     * 	
     * @return javax.swing.JButton	
     */    
    private JButton getOutputJButton() {
    	if (outputJButton == null) {
    		outputJButton = new JButton();
    		outputJButton.setBounds(318, 101, 63, 22);
    		outputJButton.setText("Abrir");
    	}
    	return outputJButton;
    }

}  //  @jve:decl-index=0:visual-constraint="10,10"
